package com.ruoyi.system.domain.maintenance;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 维修人员管理对象 maintenance_staff
 * 
 * @author boman
 * @date 2025-02-14
 */
public class MaintenanceStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 维修人员id */
    private Long staffId;

    /** 维修人员姓名 */
    @Excel(name = "维修人员姓名")
    private String staffName;

    /** 性别，Male（男）, Female（女） */
    @Excel(name = "性别，Male", readConverterExp = "男=")
    private String gender;

    /** 维修分类，表示维修人员擅长的维修类别 */
    @Excel(name = "维修分类，表示维修人员擅长的维修类别")
    private String maintenanceCategory;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phoneNumber;

    /** 头像，存储头像的URL或文件路径 */
    @Excel(name = "头像，存储头像的URL或文件路径")
    private String avatarPhoto;

    /** 状态，字典值 */
    @Excel(name = "状态，字典值")
    private String status;

    public void setStaffId(Long staffId) 
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }
    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setMaintenanceCategory(String maintenanceCategory) 
    {
        this.maintenanceCategory = maintenanceCategory;
    }

    public String getMaintenanceCategory() 
    {
        return maintenanceCategory;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setAvatarPhoto(String avatarPhoto) 
    {
        this.avatarPhoto = avatarPhoto;
    }

    public String getAvatarPhoto() 
    {
        return avatarPhoto;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("staffId", getStaffId())
            .append("staffName", getStaffName())
            .append("gender", getGender())
            .append("maintenanceCategory", getMaintenanceCategory())
            .append("phoneNumber", getPhoneNumber())
            .append("avatarPhoto", getAvatarPhoto())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
